signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SignonDaemonNS::DefaultCryptoManager Class Reference

Dummy implementation of a manager for the credentials storage file system encryption. More...

`#include <default-crypto-manager.h>`

Inheritance diagram for SignonDaemonNS::DefaultCryptoManager:
[legend]
Collaboration diagram for SignonDaemonNS::DefaultCryptoManager:
[legend]

## Public Member Functions
| DefaultCryptoManager (QObject *parent=0)
| ~DefaultCryptoManager ()
virtual bool | initialize (const QVariantMap &configuration)
QString | fileSystemMountPath () const

## Detailed Description

Dummy implementation of a manager for the credentials storage file system encryption.

It always reports that the file system is mounted, without actually doing anything.

Definition at line 47 of file default-crypto-manager.h.

## Constructor & Destructor Documentation

DefaultCryptoManager::DefaultCryptoManager | ( | QObject * | parent = `0` | ) |
| explicit

Definition at line 28 of file default-crypto-manager.cpp.

DefaultCryptoManager::~DefaultCryptoManager | ( |  | ) |

Definition at line 33 of file default-crypto-manager.cpp.

## Member Function Documentation

QString DefaultCryptoManager::fileSystemMountPath | ( |  | ) | const

Definition at line 45 of file default-crypto-manager.cpp.

bool DefaultCryptoManager::initialize | ( | const QVariantMap & | configuration | ) |
| virtual

Definition at line 37 of file default-crypto-manager.cpp.

The documentation for this class was generated from the following files:

- src/signond/default-crypto-manager.h
- src/signond/default-crypto-manager.cpp